Loading...
Searching...
No Matches
pqxx::basic_olostream< CHAR, TRAITS > Class Template Reference

Output stream that writes data back to a large object. More...

Inheritance diagram for pqxx::basic_olostream< CHAR, TRAITS >:
[legend]
Collaboration diagram for pqxx::basic_olostream< CHAR, TRAITS >:
[legend]

## Public Types

using | char_type = CHAR
using | traits_type = TRAITS
using | int_type = typename traits_type::int_type
using | pos_type = typename traits_type::pos_type
using | off_type = typename traits_type::off_type

## Public Member Functions

| basic_olostream (dbtransaction &t, largeobject o, largeobject::size_type buf_size=512)
| Create a basic_olostream.
| basic_olostream (dbtransaction &t, oid o, largeobject::size_type buf_size=512)
| Create a basic_olostream.

## Detailed Description

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>
class pqxx::basic_olostream< CHAR, TRAITS >

Output stream that writes data back to a large object.

Deprecated:
  Access large objects directly using the blob class.

This worked like any other ostream, but to write data to a large object. It supported all formatting and streaming operations of `std::ostream`.

This functionality was considered too fragile and complex, so it has been replaced with a single, much simpler class.

## Constructor & Destructor Documentation

## basic_olostream() [1/2]

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

pqxx::basic_olostream< CHAR, TRAITS >::basic_olostream | ( | dbtransaction & | t,
|  | largeobject | o,
|  | largeobject::size_type | buf_size = `512`
| ) |  |

inline

Create a basic_olostream.

Parameters

  t | transaction in which this stream is to exist.
  o | a large object to access.
  buf_size | size of buffer to use internally (optional).

## basic_olostream() [2/2]

template<typename CHAR = char, typename TRAITS = std::char_traits<CHAR>>

pqxx::basic_olostream< CHAR, TRAITS >::basic_olostream | ( | dbtransaction & | t,
|  | oid | o,
|  | largeobject::size_type | buf_size = `512`
| ) |  |

inline

Create a basic_olostream.

Parameters

  t | transaction in which this stream is to exist.
  o | a large object to access.
  buf_size | size of buffer to use internally (optional).

The documentation for this class was generated from the following file:

- /build/libpqxx-dRO3di/libpqxx-7.10.0/include/pqxx/largeobject.hxx